LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 04-24-2004, 09:58 AM   #1
bong.mau
Member
 
Registered: Apr 2004
Posts: 391

Rep: Reputation: 30
Patching


hello

ENV: mandrake 9.2
kernel 2.4.22-10mdk
kernel-source-2.4.22-10mdk

i'm trying to apply ACPI patch
but the dry run give me error and put results in reject files.
i downloaded the correct version at sourceforge site
it seems that the source on my computer is different from the source of developper
i'm newbe to linux....
it seems the code is writenn for another source...
is there a difference between 2.4.22-10 and 2.4.22-10mdk ?
does anyone has applied acpi patches on 2.4.22-10mdk ?
if yes ,then how to proceeed ?

thanks in advance

Maurizio
 
Old 04-24-2004, 10:10 AM   #2
Mara
Moderator
 
Registered: Feb 2002
Location: Grenoble
Distribution: Debian
Posts: 9,696

Rep: Reputation: 232Reputation: 232Reputation: 232
The sources you have are heavily patched and it looks like that the fragment that your patch needs to modify is already different than it expects. One of the solutions is to apply the patch manually, but do it only if you're a programmer. The second solution is to get plain kernel from kernel.org and apply only the patches you need.
 
Old 04-24-2004, 10:12 AM   #3
doug_s
Member
 
Registered: Apr 2004
Posts: 82

Rep: Reputation: 15
Patches are assumed to be against the vanilla kernel from kernel.org unless otherwise specified. The Mandrake kernel is different from the vanilla kernel. It has alot of the patches already applied, maybe their own stuff too but I'm not sure about that one.

The Mandrake kernel might already have the acpi patch applied. Try running xconfig and looking at the power management options to determine that.
 
Old 04-25-2004, 12:11 PM   #4
bong.mau
Member
 
Registered: Apr 2004
Posts: 391

Original Poster
Rep: Reputation: 30
looking at DMESG i see
ACPI subsystem revision 20030813
this is the ACPI patch already installed.
i downloaded the latest patch but it does not apply

i will download a new kernel from the kernel.org
in the mean time i have a question to issue:
ok i , i cannot patch mandrake
i have a last question ..
is there a linux distribution with a patchable kernel ?

this to avoid to download always a new kernel if i have problems

thanks in advance

Maurizio
 
Old 04-25-2004, 03:12 PM   #5
Mara
Moderator
 
Registered: Feb 2002
Location: Grenoble
Distribution: Debian
Posts: 9,696

Rep: Reputation: 232Reputation: 232Reputation: 232
Hard to say...It depends on the patch. If it changes the files not changed by any previous patch, it will work. I tried with serveral distros (MDK, Slack) and in my case custom patching always required plain kernel.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Patching 2.6 Biotachyonic Linux - Laptop and Netbook 2 08-24-2005 10:04 PM
patching kernel paulr1984 Linux - Newbie 3 04-05-2005 10:57 PM
patching ybaws Linux - Software 3 04-02-2004 04:52 PM
Patching Straterra Slackware 18 03-17-2004 12:58 PM
patching janu Linux - Software 1 01-06-2003 05:17 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 04:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration